#if ! defined patient3_h
#define patient3_h
#include <string>
// delare ostream class
using std::ostream ;
using std::string;
//namespace AG {

class CPatient {
public:
	CPatient(const char *n, int a, char g);
	CPatient();	// default constructor
	~CPatient();
	CPatient(const CPatient& x); //copy constructor 
	void set_name(char * n);
	void set_age(int a);
	void set_gender(char g);
	void identify(); // display all member variables
	const char * get_name();
	int get_age();
	char get_gender();
	const CPatient& operator=(const CPatient& x);  
	
	//friend function
	friend ostream& operator<<(ostream & os, const CPatient & x);
private:
	string get_title() const ;
	char *name_ptr;
	int age;
	char gender;
};

//} // end of namespace AG
#endif
